Name:           maven-downloader
# Maven-shared defines maven-downloader version as 1.2
Epoch:          1
Version:        1.1
Release:        %mkrel 14
Summary:        Maven artifact downloader
License:        ASL 2.0
Group:          Development/Java
URL:            https://maven.apache.org/shared/maven-downloader
BuildArch:      noarch

# svn export http://svn.apache.org/repos/asf/maven/shared/tags/maven-downloader-1.1 maven-downloader-1.1
# tar caf maven-downloader-1.1.tar.xz maven-downloader-1.1/
Source0:        %{name}-%{version}.tar.xz
# ASL mandates that the licence file be included in redistributed source
Source1:        https://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven:maven-artifact)
BuildRequires:  mvn(org.apache.maven:maven-artifact-manager)
BuildRequires:  mvn(org.apache.maven:maven-compat)
BuildRequires:  mvn(org.apache.maven.shared:maven-shared-components:pom:)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-metadata)

%description
Provide a super simple interface for downloading a single artifact.

%package javadoc
Summary:        Javadoc for %{name}
    
%description javadoc
API documentation for %{name}.


%prep
%setup -q

%pom_add_dep org.apache.maven:maven-compat

# Replace plexus-maven-plugin with plexus-component-metadata
%pom_xpath_set "pom:plugin[pom:artifactId[text()='plexus-maven-plugin']]//pom:goal[text()='descriptor']" generate-metadata
%pom_xpath_set "pom:artifactId[text()='plexus-maven-plugin']" plexus-component-metadata

cp %{SOURCE1} LICENSE.txt

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc LICENSE.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt




%changelog
* Wed May 22 2024 ns80 <ns80> 1:1.1-14.mga10
+ Revision: 2066064
- rebuild for java 21

* Sat Mar 26 2022 umeabot <umeabot> 1:1.1-13.mga9
+ Revision: 1827312
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1:1.1-12.mga8
+ Revision: 1491740
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1:1.1-11.mga7
+ Revision: 1264045
- Mageia 7 Mass Rebuild

* Mon May 15 2017 neoclust <neoclust> 1:1.1-10.mga6
+ Revision: 1101421
- Rebuild maven-* packages
- Second rebuild of the java stack

* Sun Feb 28 2016 daviddavid <daviddavid> 1:1.1-8.mga6
+ Revision: 980281
- First rebuild of the java stack
- sync package maven-downloader with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:1.1-7.mga5
+ Revision: 742358
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1:1.1-5.mga4
+ Revision: 529839
- Mageia 4 Mass Rebuild

* Sat Jul 13 2013 dmorgan <dmorgan> 1:1.1-4.mga4
+ Revision: 453660
- imported package maven-downloader


* Wed Feb 20 2013 Tomas Radej <tradej@redhat.com> - 1:1.1-4
- Added BR on maven-shared

* Fri Feb 15 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 1:1.1-3
- Use new pom macros to fix plexus-component-metadata

* Fri Feb 08 2013 Tomas Radej <tradej@redhat.com> - 1:1.1-2
- Building the new way

* Fri Jan 11 2013 Tomas Radej <tradej@redhat.com> - 1:1.1-1
- Initial version

